import { sendRequest } from "./overpass";
import { config } from "./config";
import { ClientInfo } from "./types";

const query = `
[out:json][timeout:1];
out geom;
`;

async function update() {
  console.log("updating info...");
  try {
    const { osm3s } = await sendRequest({ query });
    clientInfo.latest = osm3s.timestamp_areas_base || osm3s.timestamp_osm_base;
    console.log("got latest version:", clientInfo.latest);
  } catch (e) {
    console.error("failed to get info from overpass", e);
  }
}
setInterval(() => void update(), 1000 * 60 * 5);
void update();

export const clientInfo: ClientInfo = {
  latest: "(unknown)",
  config: config.clientConfig,
};
