import express from "express";
import { getBenches } from "./benches";
import { clientInfo } from "./clientInfo";
process.on("SIGINT", () => process.exit());
const app = express();
app.use(express.json());
// eslint-disable-next-line @typescript-eslint/no-misused-promises
app.get("/api/benches", async (req, res) => {
  function getFloat(key: string): number {
    const value = req.query[key];
    if (typeof value !== "string") {
      throw new Error(`Expected string for ${key}`);
    }
    const parsed = parseFloat(value);
    if (isNaN(parsed)) {
      throw new Error(`Expected number for ${key}`);
    }
    return parsed;
  }
  const result = await getBenches({
    lat: getFloat("lat"),
    lon: getFloat("lon"),
    radius: getFloat("radius"),
  });
  res.send(result);
});
app.get("/api/info", (_, res) => res.send(clientInfo));
app.use(express.static("dist"));
app.listen(8080, () => {
  console.log("Server started on port 8080");
});
