import { defineConfig } from "vite";
// import basicSsl from "@vitejs/plugin-basic-ssl";

// https://vitejs.dev/config/
export default defineConfig({
  // plugins: [basicSsl()],
  server: {
    port: 3000,
    proxy: {
      "/api": {
        target: "http://localhost:8080",
        ws: true,
      },
    },
    warmup: {
      clientFiles: ["index.html"],
    },
  },
  build: {
    sourcemap: true,
    target: "esnext",
    //use CDN for all dependencies so updates of this project don't require downloading all dependencies again
    rollupOptions: {
      external: ['leaflet'],
      output: {
        paths: {
          leaflet: 'https://unpkg.com/leaflet@1.9.4/dist/leaflet-src.esm.js',
        }
      }
    }
  },
});
